--- a/src/core-impl/collections/support/MemoryQueryMaker.cpp
+++ b/src/core-impl/collections/support/MemoryQueryMaker.cpp
@@ -29,8 +29,8 @@
 #include <QSet>
 #include <QStack>
 #include <QtAlgorithms>
+//#include <QRandomGenerator>
 
-#include <KRandomSequence>
 #include <KSortableList>
 
 using namespace Collections;
@@ -102,7 +102,7 @@ struct MemoryQueryMaker::Private {
     QList<CustomReturnFunction*> returnFunctions;
     QList<CustomReturnValue*> returnValues;
     bool usingFilters;
-    KRandomSequence sequence;   //do not reset
+    //QRandomGenerator sequence;   //do not reset. FIXME: neverused field
     qint64 orderByField;
     bool orderDescending;
     bool orderByNumberField;
@@ -121,8 +121,8 @@ MemoryQueryMaker::MemoryQueryMaker( cons
     d->job = 0;
     d->type = QueryMaker::None;
     d->returnDataPtrs = false;
-    d->job = 0;
-    d->job = 0;
+    //d->job = 0; //FIXME: duplicate
+    //d->job = 0; //FIXME: duplicate
     d->maxsize = -1;
     d->containerFilters.push( new AndContainerMemoryFilter() );
     d->usingFilters = false;
--- a/src/core-impl/collections/support/MemoryQueryMakerHelper.cpp
+++ b/src/core-impl/collections/support/MemoryQueryMakerHelper.cpp
@@ -24,7 +24,7 @@
 #include <QStack>
 #include <QtAlgorithms>
 
-#include <KRandomSequence>
+//#include <QRandomGenerator>
 #include <KSortableList>
 
 using namespace Collections;
